# ezQuake Manual: FPS and EyeCandy Settings Variables

## cl_backpackfilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Don't filter backpacks.
1 | Filter backpacks.

## cl_deadbodyFilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Don't filter dead bodies.
1 | Filter dead bodies after they fall on the ground.
2 | Body will disappear in the moment last damage is done to it.

## cl_fakeshaft

### Description

Smoothes out shaft movement, 0 means no smoothing at all, 1 - 100% smoothing; a value of about 0.5 is recommended for modem players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_gibFilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Gibs are turned off.
0 | Gibs on.

## cl_hidenails

### Description

Toggles nails visibility.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_hiderockets

### Description

Toggles rockets visibility. Variable cl_r2g must be 0 to cl_hiderockets 1 work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_independentPhysics

### Description

This enables independent physics. This means that you can achieve more FPS in game then the server allows. Amount of FPS used to communicate with server is set by /cl_physfps and amount of graphics FPS is set by /cl_maxfps. Useless if you use vid_vsync 1.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable independent physics.
0 | Disable independent physics,

This variable can only be switched from 0<->1 when disconnected from a server (Qizmo/eztv are also servers).

## cl_lerp_monsters

### Description

Enables linear interpolation on Quake monsters and creatures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## cl_maxfps

### Description

This variable sets the maximum limit for frames-per-second.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_model_bobbing

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Rotating models bob up and down like in Quake3.
0 | Off.

## cl_muzzleflash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | All turned off.
1 | All turned on.
2 | Own's flash off, all other on.

## cl_newlerp

### Description

Experimental rockets/grenades/spikes smoothing code. Default value 0.1 means: use 90% of our 'vision' and 10% of server 'vision'. Should be OK for most case, but floating ping (see remarks)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
[0..1]

This smoothing algorithm works good only with stable ping.

## cl_nolerp

### Description

Allows you to disable the linear interpolation (lerp) of objects in the game. Information about objects' states arrive periodically via the net connection. By default between these moments the client tries to interpolate where the object are. After the new packet arrives client corrects the position of the object. If the interpolation is disabled, client will leave object in the state described in the last received packet until a new one arrives.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Disable interpolation
0 | Interpolate objects

## cl_novweps

This variable has been updated

### Description

Turns off client-side vwep support (drawing of other players' weapon models). Effective after reconnecting, this will disable vweps support entirely: no vwep models will be downloaded, and no vwep info will be sent by the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

This variable takes effect after reloading the map; for testing, use r_drawvweps instead.

## cl_physfps

### Description

Sets amount of FPS used to communicate with server. This variable is used when +set cl_independentphysics 1 is set so your current amount of FPS is limited by cl_maxfps while this variable limits amout of FPS sent/received to/from server. When set to zero current cl_maxfps value is used. When cl_maxfps is set to zero too, client displays as much FPS as server and data rate allows.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_r2g

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Converts all rockets to grenades.
0 | Normal rockets models.

## cl_trueLightning

This variable has been updated

### Description

Old name for the cl_fakeshaft cvar. Smoothes out shaft movement, 0 means no smoothing at all, 1 - 100% smoothing; a value of about 0.5 is recommended for modem players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## cl_vsync_lag_fix

### Description

Enables experimental fix for a delay vertical synchronization mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

When vid_vsync is set to 1, an artificial delay in the input can appear, enabling this should eliminate the delay

## cl_vsync_lag_tweak

### Description

Custom value for experimental vertical synchronization delay reduction

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

## gl_detail

### Description

Turns on/off fine detailed textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | On (Looks awesome, but you will take a giant FPS hit if you don't have a good video card).
0 | Off.

## gl_powerupshells

### Description

Enables a flashing layer over players carrying powerups

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## gl_powerupshells_size

### Description

Size of the powerupshells effect layer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5

Variable is integer.

## gl_powerupshells_style

### Description

Style of the powerupshells effect layer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## r_bloom

### Description

Enables lights blooming

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

Lights will have a \"diamond\" effect near them

## r_bloom_alpha

### Description

Transparency level of the blooming effect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

Variable is integer.

## r_bloom_darken

### Description

Level of \"darkness\" of the blooming effect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

## r_bloom_diamond_size

### Description

Size of the diamond particle used in the blooming effect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

## r_bloom_fast_sample

### Description

Faster variant of the blooming effect.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## r_bloom_intensity

### Description

Intensity of the blooming effect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

## r_bloom_sample_size

### Description

Size of the particle used in the blooming effect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 256

Variable is integer.

## r_chaticons_alpha

### Description

Opacity of chaticons.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.
0 mean no icons at all, 0.5 mean half opacity and 1 is opaque.

## r_drawentities

### Description

This variable can be used to disable that any object entities are drawn. This command is useful to map authors who wish to take a look at their map without drawing any objects such as lifts, buttons, platforms or items.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display all entities.
0 | Display no entities.

## r_drawflame

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display all flames.
0 | Display no flames.

## r_drawvweps

### Description

Whether to draw vweps (other players' weapon models).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

In order for vweps to work, you must have the appropriate models (vwplayer.mdl and w_*.mdl), and the server you're playing on must have vwep support enabled.

## r_explosionLight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | No explosion light.
0.5 | 50% explosion light.
1 | 100% explosion light.

## r_explosionLightColor

### Description

Determines the color of the explosion light.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Normal (light yellow)
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | Yellow
6 | Cyan
7 | White
8 | Random

## r_explosionType

### Description

0 = Fire + sparks 1 = Fire only 2 = Teleport 3 = Blood 4 = Big blood 5 = Double gunshot 6 = Blob effect 7 = Big explosion 8 = Fuel Rod Gun Explosion 9 = Sparks

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## r_flagColor

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White

## r_grenadeTrail

### Description

Customizable grenade trails 0 = No rocket trail 1 = Normal 2 = Grenade trail 3 = Alt normal trail 4 = Slight blood trail 5 = Big blood trail 6 = Tracer1 trail 7 = Tracer2 trail 8 = Plasma trail 9 = Lavaball trail 10 = Fuel Rod Gun trail 11 = Plasma Rocket Mk II trail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | No grenade trail.
1 | Normal.
2 | Smoke trail.
3 | Alternative normal trail.
4 | Slight blood trail.
5 | Big blood trail.
6 | Green Tracer trail.
7 | Orange/Yellow Tracer trail.
8 | Blue/White Plasma trail.
9 | Lavaball trail.
10 | Green Fuel Rod Gun trail.
11 | Orange/Yellow Plasma Rocket Mk II trail.
12 | Similar to 3, but with a white line and less smoke.
13 | Motion trail rocket. Need gl_motiontrails 1

## r_lerpframes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable smoothing (watch people moving in mvd demos with cl_demospeed 0.1).
0 | Disable smoothing.

## r_lerpmuzzlehack

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Fix for interpolated muzzle flashes.
0 | No fix for interpolated muzzle flashes.

## r_lgbloodColor

### Description

Determines the color of the blood (for standard particles). The QW-default value is 225.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 225

Variable is float.

## r_lightflicker

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable rocket/explosion/flag/powerup light flickering.
0 | Disable rocket/explosion/flag/powerup light flickering.

## r_powerupGlow

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Powerup glow is turned off on all players.
1 | Powerup glow on.
2 | Disables the powerup glow from yourself only.

## r_rocketLight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Turn on dynamic lighting of rockets.
0 | Turn off dynamic lighting of rockets.

## r_rocketLightColor

### Description

Determines the colour of the rocket light.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | Yellow
6 | Cyan
7 | White

## r_rocketTrail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | No rocket trail.
1 | Normal.
2 | Smoke trail.
3 | Alternative normal trail.
4 | Slight blood trail.
5 | Big blood trail.
6 | Green Tracer trail.
7 | Orange/Yellow Tracer trail.
8 | Blue/White Plasma trail.
9 | Lavaball trail.
10 | Green Fuel Rod Gun trail.
11 | Orange/Yellow Plasma Rocket Mk II trail.
12 | Similar to 3, but with a white line and less smoke.
13 | Motion trail rocket. Need gl_motiontrails 1

## r_shaftalpha

### Description

Adds transparency to the lightning gun beam (shaft).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
Values from 0.0 (transparent) to 1.0 (opaque) possible

Disabled in ruleset smackdown

## r_shiftbeam

### Description

Shift start of the shaft lights.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Doesn't work with smackdown ruleset. Intended for movies.

## r_telesplash

### Description

Toggles teleport splash effect.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable teleport splashes.
0 | Disable teleport splashes.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs